/**
  *  \file client/tiles/shipmission.h
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_SHIPMISSION_H
#define PCC_V2_CLIENT_TILES_SHIPMISSION_H

#include "client/wtile.h"
#include "client/wcolorframe.h"
#include "ui/commands.h"

// FIXME?
enum {
    cm_Ship_BaseMenu  = cm_ControlScreenFirst + 2001,
    cm_Ship_FleetMenu = cm_ControlScreenFirst + 2002
};

/// Ship mission tile (mission/PE/FC).
class WShipMissionTile : public WObjectSelectionObserverTile {
    ObjectHolder h;
    WColorFrame cf;
 public:
    WShipMissionTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

class WNarrowShipMissionTile : public WObjectSelectionObserverTile {
 public:
    WNarrowShipMissionTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
